#	@(#)Makefile	1.5	ULTRIX	9/2/88

DESTDIR=.


SOURCES = plot0_xps.c plot1_xps.c plot2_xps.c plot3_xps.c plot3d_xps.c plotx_xps.c

OBJS = plot0_xps.o plot1_xps.o plot2_xps.o plot3_xps.o plot3d_xps.o plotx_xps.o

CFLAGS = -O -c

LIBS =	${DESTDIR}/usr/lib/libX11.a -lm


all:
	$(CC) $(CFLAGS) $(SOURCES)
	rm libplot_xps.a
	ar -q libplot_xps.a $(OBJS)
	ranlib libplot_xps.a

#	$(OBJS)
#	$(CC) $(SOURCES)
#
plot0_xps.o: plot0_xps.c plot_xps.h plotx_ps.c
plot1_xps.o: plot1_xps.c plot_xps.h plotx_ps.c
plot2_xps.o: plot2_xps.c plot_xps.h plotx_ps.c
plot3_xps.o: plot3_xps.c plot_xps.h plotx_ps.c
plot3d_xps.o: plot3d_xps.c plot_xps.h plotx_ps.c
plotx_xps.o: plotx_xps.c plot_xps.h plot_xps.fonts


clean:
	rm -f *.o core

relink:: all
